Subject: Re: bug#56249: 29.0.50; Compilation buffer parsing "ERROR:" incorrectly

From: Mattias Engdegård <[email-masked]>
Date: Sun, 10 Jul 2022 15:49:28 +0200

5 juli 2022 kl. 18.50 skrev Lars Ingebrigtsen <[email-masked]>:

> Feel free to add tests, by all means.

Sorry about the delay; here is what it might look like. It's all very hand-wavy and cut-and-paste because I don't really know what it's for or even what to call it. The message pattern I suggested was an expedience intended for individual Emacs customisation; I doubt it's of Emacs release quality.

Normally I try to track down the source code and exact location of the code that emits the message, to get a feeling for what the varying parts are -- for example in this case, can the word "ERROR" be "WARNING" or something else? Are there variants? Is the code stable? Is the leading whitespace always the same? And so on. But I didn't really intend to dive through all of Gradle and the Android tools; someone else probably knows much more about it.